Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces UI Components UI 4.3.1.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.component
Class AbstractParameter

    java.lang.Object
      javax.faces.component.UIComponent
          javax.faces.component.UIComponentBase
              javax.faces.component.UIParameter
                  org.richfaces.component.AbstractParameter

All Implemented Interfaces:
  EventListener, javax.faces.component.PartialStateHolder, javax.faces.component.StateHolder, javax.faces.component.TransientStateHolder, javax.faces.event.ActionListener, javax.faces.event.ComponentSystemEventListener, javax.faces.event.FacesListener, javax.faces.event.SystemEventListenerHolder, org.ajax4jsf.component.JavaScriptParameter

Direct Known Subclasses:
  UIParameter

    public abstract class AbstractParameter

extends javax.faces.component.UIParameter
implements javax.faces.event.ActionListener, org.ajax4jsf.component.JavaScriptParameter

The <a4j:param> behavior combines the functionality of the JavaServer Faces (JSF) components <f:param> and <f:actionListener>.

Author:
  shura, alexsmirnov

Field Summary
`static String` | `COMPONENT_FAMILY`
`static String` | `COMPONENT_TYPE`

Fields inherited from class javax.faces.component.UIComponent
`ATTRS_WITH_DECLARED_DEFAULT_VALUES, BEANINFO_KEY, bindings, COMPOSITE_COMPONENT_TYPE_KEY, COMPOSITE_FACET_NAME, CURRENT_COMPONENT, CURRENT_COMPOSITE_COMPONENT, FACETS_KEY, HONOR_CURRENT_COMPONENT_ATTRIBUTES_PARAM_NAME, VIEW_LOCATION_KEY`

Constructor Summary
`AbstractParameter()`

Method Summary
`void` | `clearInitialState()`
`javax.el.ValueExpression` | `getAssignToExpression()`
`javax.faces.convert.Converter` | `getConverter()` The converter attribute can be used to specify how to convert the value before it is submitted to the data model.
`String` | `getName()`
`Object` | `getValue()`
`abstract boolean` | `isNoEscape()` If set to true, the value will not enclosed within single quotes and there will be no escaping of characters.
`void` | `markInitialState()`
`void` | `processAction(javax.faces.event.ActionEvent actionEvent)`
`void` | `restoreState(javax.faces.context.FacesContext context, Object state)`
`Object` | `saveState(javax.faces.context.FacesContext context)`
`void` | `setAssignToExpression(javax.el.ValueExpression ve)`
`void` | `setConverter(javax.faces.convert.Converter converter)`
`abstract void` | `setNoEscape(boolean noEscape)`

Methods inherited from class javax.faces.component.UIParameter
`getFamily, isDisable, setDisable, setName, setValue`

Methods inherited from class javax.faces.component.UIComponentBase
`addClientBehavior, addFacesListener, broadcast, decode, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientBehaviors, getClientId, getDefaultEventName, getEventNames, getFacesContext, getFacesListeners, getFacet, getFacetCount, getFacets, getFacetsAndChildren, getId, getListenersForEventClass, getParent, getRenderer, getRendererType, getRendersChildren, getValueBinding, invokeOnComponent, isRendered, isTransient, processDecodes, processRestoreState, processSaveState, processUpdates, processValidators, queueEvent, removeFacesListener, restoreAttachedState, saveAttachedState, setId, setParent, setRendered, setRendererType, setTransient, setValueBinding, subscribeToEvent, unsubscribeFromEvent`

Methods inherited from class javax.faces.component.UIComponent
`encodeAll, getClientId, getCompositeComponentParent, getContainerClientId, getCurrentComponent, getCurrentCompositeComponent, getNamingContainer, getResourceBundleMap, getStateHelper, getStateHelper, getTransientStateHelper, getTransientStateHelper, getValueExpression, initialStateMarked, isCompositeComponent, isInView, isVisitable, popComponentFromEL, processEvent, pushComponentToEL, restoreTransientState, saveTransientState, setInView, setValueExpression, visitTree`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### COMPONENT_TYPE

    public static final String COMPONENT_TYPE

See Also:
  Constant Field Values

### COMPONENT_FAMILY

    public static final String COMPONENT_FAMILY

See Also:
  Constant Field Values

Constructor Detail

### AbstractParameter

    public AbstractParameter()

Method Detail

### isNoEscape

    public abstract boolean isNoEscape()

  If set to true, the value will not enclosed within single quotes and there will be no escaping of characters. This allows the use of the value as JavaScript code for calculating value on the client-side. This doesn't work with non-AJAX components.

  Specified by:
    `isNoEscape` in interface `org.ajax4jsf.component.JavaScriptParameter`

### setNoEscape

    public abstract void setNoEscape(boolean noEscape)

  Specified by:
    `setNoEscape` in interface `org.ajax4jsf.component.JavaScriptParameter`

### setAssignToExpression

    public void setAssignToExpression(javax.el.ValueExpression ve)

### getAssignToExpression

    public javax.el.ValueExpression getAssignToExpression()

### setConverter

    public void setConverter(javax.faces.convert.Converter converter)

### getConverter

    public javax.faces.convert.Converter getConverter()

  The converter attribute can be used to specify how to convert the value before it is submitted to the data model.

### processAction

    public void processAction(javax.faces.event.ActionEvent actionEvent)
                       throws javax.faces.event.AbortProcessingException

  Specified by:
    `processAction` in interface `javax.faces.event.ActionListener`
  Throws:
    `javax.faces.event.AbortProcessingException`

### getName

    public String getName()

  Overrides:
    `getName` in class `javax.faces.component.UIParameter`

### getValue

    public Object getValue()

  Overrides:
    `getValue` in class `javax.faces.component.UIParameter`

### markInitialState

    public void markInitialState()

  Specified by:
    `markInitialState` in interface `javax.faces.component.PartialStateHolder`
  Overrides:
    `markInitialState` in class `javax.faces.component.UIComponentBase`

### clearInitialState

    public void clearInitialState()

  Specified by:
    `clearInitialState` in interface `javax.faces.component.PartialStateHolder`
  Overrides:
    `clearInitialState` in class `javax.faces.component.UIComponentBase`

### saveState

    public Object saveState(javax.faces.context.FacesContext context)

  Specified by:
    `saveState` in interface `javax.faces.component.StateHolder`
  Overrides:
    `saveState` in class `javax.faces.component.UIComponentBase`

### restoreState

    public void restoreState(javax.faces.context.FacesContext context,
                             Object state)

  Specified by:
    `restoreState` in interface `javax.faces.component.StateHolder`
  Overrides:
    `restoreState` in class `javax.faces.component.UIComponentBase`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces UI Components UI 4.3.1.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2013 JBoss by Red Hat. All Rights Reserved.